Main Page Class List Class Members

# Nv::Blast::TkAsset Class Reference

`#include <NvBlastTkAsset.h>`

Inheritance diagram for Nv::Blast::TkAsset:

List of all members.

## Public Member Functions
virtual const NvBlastAsset * | getAssetLL () const =0
virtual uint32_t | getBondCount () const =0
virtual const NvBlastBond * | getBonds () const =0
virtual uint32_t | getChunkCount () const =0
virtual const NvBlastChunk * | getChunks () const =0
virtual uint32_t | getDataSize () const =0
virtual const NvBlastSupportGraph | getGraph () const =0
virtual uint32_t | getJointDescCount () const =0
virtual const TkAssetJointDesc * | getJointDescs () const =0
virtual uint32_t | getLeafChunkCount () const =0

## Detailed Description

The static data associated with a destructible actor. TkAsset encapsulates an NvBlastAsset. In addition to the NvBlastAsset, the TkAsset stores joint descriptors (see TkAssetJointDesc).

## Member Function Documentation

virtual const NvBlastAsset* Nv::Blast::TkAsset::getAssetLL | ( |  | ) | const`[pure virtual]`

Access to underlying low-level asset.

Returns:
  a pointer to the (const) low-level NvBlastAsset object.

virtual uint32_t Nv::Blast::TkAsset::getBondCount | ( |  | ) | const`[pure virtual]`

Get the number of bonds in the given asset.

NOTE: Wrapper function over low-level function call, see NvBlastAssetGetBondCount for details.

Returns:
  the number of bonds in the asset.

virtual const NvBlastBond* Nv::Blast::TkAsset::getBonds | ( |  | ) | const`[pure virtual]`

Access an array of bonds of the given asset.

NOTE: Wrapper function over low-level function call, see NvBlastAssetGetBonds for details.

Returns:
  a pointer to an array of bonds of the asset.

virtual uint32_t Nv::Blast::TkAsset::getChunkCount | ( |  | ) | const`[pure virtual]`

Get the number of chunks in this asset.

NOTE: Wrapper function over low-level function call, see NvBlastAssetGetChunkCount for details.

Returns:
  the number of chunks in the asset.

virtual const NvBlastChunk* Nv::Blast::TkAsset::getChunks | ( |  | ) | const`[pure virtual]`

Access an array of chunks of the given asset.

NOTE: Wrapper function over low-level function call, see NvBlastAssetGetChunks for details.

Returns:
  a pointer to an array of chunks of the asset.

virtual uint32_t Nv::Blast::TkAsset::getDataSize | ( |  | ) | const`[pure virtual]`

Retrieve the size (in bytes) of the LL asset.

NOTE: Wrapper function over low-level function call, see NvBlastAssetGetSize for details.

Returns:
  the size of the data block (in bytes).

virtual const NvBlastSupportGraph Nv::Blast::TkAsset::getGraph | ( |  | ) | const`[pure virtual]`

Access an support graph for the given asset.

NOTE: Wrapper function over low-level function call, see NvBlastAssetGetSupportGraph for details.

Returns:
  a struct of support graph for the given asset.

virtual uint32_t Nv::Blast::TkAsset::getJointDescCount | ( |  | ) | const`[pure virtual]`

The number of internal TkJoint objects that will be created when this asset is instanced into a TkActor (see TkFramework::createActor). These joints will not trigger TkJointUpdateEvent events until this actor is split into actors such that a joint connects two actors. At this time the actor's family will dispatch a TkJointUpdateEvent::External event during a call to TkGroup::endProcess() (see TkGroup).

Returns:
  the number of descriptors for internal joints.

virtual const TkAssetJointDesc* Nv::Blast::TkAsset::getJointDescs | ( |  | ) | const`[pure virtual]`

The descriptors for the internal joints created when this asset is instanced. (See getJointDescCount.)

Returns:
  a pointer to the array of descriptors for internal joints.

virtual uint32_t Nv::Blast::TkAsset::getLeafChunkCount | ( |  | ) | const`[pure virtual]`

Get the number of leaf chunks in the given asset.

NOTE: Wrapper function over low-level function call, see NvBlastAssetGetLeafChunkCount for details.

Returns:
  the number of leaf chunks in the asset.

The documentation for this class was generated from the following file:

- sdk/toolkit/include/NvBlastTkAsset.h